	A workaround semi-kludge for TM2's destructively buggy Rename
	procedure (in the FILES MODULE).  This bug had me tearing my 
	hair out, until I realized from whence it came.  TM2's Rename
	overwrote parts of the FILES MODULE, waiting to blow up in your
	face on subsequent FILE accesses.  Hopefully this fixes it, at least
	until a real fix is offered to beleaguered users.
	                             Steve Cohen 9/14/87
	                             